Page MenuHomePhabricator

Request new Flavor for integration Cloud VPS project
Closed, ResolvedPublic

Description

Project Name: integration
Type of quota increase requested: new OpenStack flavor

We could use a new flavor similar to bigram but with less memory since we don't really need the 32 GBytes. So we could use a flavor that has 8 GB less RAM compared to bigram:

vCPUs8
RAM24 GB
Disk80 GB

Reason

From T202160 the CI instances are using the bigram flavor since we found that m1.xlarge were not performing as well or might exhaust memory. (8 vCPU as well but only 16 GB). Nowadays we run less builds in parallel and have less memory demand than the 32GB.

A bigram is:

vCPUs8
RAM36 GB
Disk80 GB

The 8 vCPUs are good enough. Each instance can run up to four builds concurrently and thus each have two CPUs on average. That seems sufficient.

The 80GB disk size is fine. We have them partitioned as:

Mount pointSizeDescription
/20 GBSystem
/srv20 GBJobs workspace
/var/lib/docker40 GBDocker images

24GB would be good enough.

integration currently has 10 such instances. The 80 GB freed would be reused for 3 or 4 more instances.

Event Timeline

hashar created this task.Jun 4 2019, 8:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2019, 8:56 PM

@Andrew @aborrero can you possibly bring that up at the next quota meeting please? It is merely to save a bit of RAM we do not need :]

hashar triaged this task as Medium priority.Jun 19 2019, 1:14 PM
bd808 assigned this task to Andrew.Jun 19 2019, 9:43 PM
bd808 added subscribers: JHedden, bd808.

Approved in our 2019-06-18 meeting. Assigning to @Andrew to implement when he gets time. @Andrew you can hand this off too @JHedden too if you'd like to give him a chance to poke at our OpenStack setup. :)

Andrew closed this task as Resolved.Jun 20 2019, 4:49 PM

I added a new flavor named 'mediumram' to the integration project. Thanks for conserving RAM!

Thank you! We will rebuild all the current instances with that new flavor and .. with Stretch!